# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
%{!?_texmf: %define _texmf %(eval "[ -x /usr/bin/kpsewhich ] && echo `kpsewhich -expand-var '$TEXMFMAIN'` || echo %{_datadir}/texmf")}

Name:           bibexport
# taken from bibexport.dtx: \def\fileversion{2.10} 
Version:        2.10
Release:        alt2_7
Summary:        Extract entries from BibTeX and .aux files

Group:          Publishing
License:        LPPL
URL:            http://www.ctan.org/tex-archive/help/Catalogue/entries/bibexport.html
# fetched wuth wget -N, renamed using timestamp bibexport-YYYYMMDD.zip
#Source0:        http://tug.ctan.org/biblio/bibtex/utils/bibexport.zip
Source0:        bibexport-20060320.zip
BuildArch:      noarch

BuildRequires:  /usr/bin/kpsewhich
BuildRequires:  /usr/bin/latex texlive-latex-recommended
Requires:       texlive-generic-recommended
Requires(post):   /usr/bin/texhash
Requires(postun): /usr/bin/texhash
Source44: import.info


%description
bibexport.sh is a small shell script, relying on BibTeX, that extracts 
entries of one or several bib file(s). It will expand abbreviations 
and cross-references, except standard month and journal
abbreviations. The output is indented as neatly as possible, yielding a
readable bib file even if the original one was not.


%prep
%setup -q -n %{name}


%build
latex bibexport.ins


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_texmf}/bibtex/bst/%{name}
install -p -m0755 bibexport.sh $RPM_BUILD_ROOT%{_bindir}
install -p -m0644 *.bst $RPM_BUILD_ROOT%{_texmf}/bibtex/bst/%{name}


%files
%doc bibexport.pdf README
%{_bindir}/bibexport.sh
%{_texmf}/bibtex/bst/%{name}/


%changelog
* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 2.10-alt2_7
- rebuild to get rid of unmets

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 2.10-alt1_7
- update to new release by fcimport

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 2.10-alt1_6
- converted for Sisyphus

